CVE-2010-0205

HIGH

Description

The png_decompress_chunk function in pngrutil.c in libpng 1.0.x before 1.0.53, 1.2.x before 1.2.43, and 1.4.x before 1.4.1 does not properly handle compressed ancillary-chunk data that has a disproportionately large uncompressed representation, which allows remote attackers to cause a denial of service (memory and CPU consumption, and application hang) via a crafted PNG file, as demonstrated by use of the deflate compression method on data composed of many occurrences of the same character, related to a "decompression bomb" attack.

References

http://libpng.sourceforge.net/ADVISORY-1.4.1.html

http://libpng.sourceforge.net/decompression_bombs.html

http://lists.apple.com/archives/security-announce/2010//Nov/msg00000.html

http://lists.fedoraproject.org/pipermail/package-announce/2010-March/037237.html

http://lists.fedoraproject.org/pipermail/package-announce/2010-March/037355.html

http://lists.fedoraproject.org/pipermail/package-announce/2010-March/037364.html

http://lists.fedoraproject.org/pipermail/package-announce/2010-March/037607.html

http://lists.opensuse.org/opensuse-security-announce/2010-05/msg00001.html

http://lists.opensuse.org/opensuse-security-announce/2010-05/msg00002.html

http://lists.opensuse.org/opensuse-security-announce/2010-06/msg00001.html

http://lists.vmware.com/pipermail/security-announce/2010/000105.html

http://osvdb.org/62670

http://secunia.com/advisories/38774

http://secunia.com/advisories/39251

http://secunia.com/advisories/41574

http://support.apple.com/kb/HT4435

http://ubuntu.com/usn/usn-913-1

http://www.debian.org/security/2010/dsa-2032

http://www.kb.cert.org/vuls/id/576029

http://www.mandriva.com/security/advisories?name=MDVSA-2010:063

http://www.mandriva.com/security/advisories?name=MDVSA-2010:064

http://www.securityfocus.com/bid/38478

http://www.securitytracker.com/id?1023674

http://www.vmware.com/security/advisories/VMSA-2010-0014.html

http://www.vupen.com/english/advisories/2010/0517

http://www.vupen.com/english/advisories/2010/0605

http://www.vupen.com/english/advisories/2010/0626

http://www.vupen.com/english/advisories/2010/0637

http://www.vupen.com/english/advisories/2010/0667

http://www.vupen.com/english/advisories/2010/0682

http://www.vupen.com/english/advisories/2010/0686

http://www.vupen.com/english/advisories/2010/0847

http://www.vupen.com/english/advisories/2010/1107

http://www.vupen.com/english/advisories/2010/2491

https://exchange.xforce.ibmcloud.com/vulnerabilities/56661

Details

Source: MITRE

Published: 2010-03-03

Updated: 2017-08-17

Type: CWE-399

Risk Information

CVSS v2.0

Base Score: 7.8

Vector: (AV:N/AC:L/Au:N/C:N/I:N/A:C)

Impact Score: 6.9

Exploitability Score: 10

Severity: HIGH